﻿using System;
using System.Windows.Forms;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            MaximizeBox = false;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 폼 로드시 처리하기 - Form_Load(sender, e)

        /// <summary>
        /// 폼 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void Form_Load(object sender, EventArgs e)
        {
            MouseHelper mouseHelper = new MouseHelper();

            this.drawPanel.MouseDown += mouseHelper.MouseDownHandler;
            this.drawPanel.MouseMove += mouseHelper.MouseMoveHandler;
            this.drawPanel.MouseUp   += mouseHelper.MouseUpHandler;
        }

        #endregion
        #region 라인 그리기 라디오 버튼 체크 변경시 처리하기 - drawLineRadioButton_CheckedChanged(sender, e)

        /// <summary>
        /// 라인 그리기 라디오 버튼 체크 변경시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void drawLineRadioButton_CheckedChanged(object sender, EventArgs e)
        {
            if(this.drawLineRadioButton.Checked == true)
            {
                MouseHelper.DrawLine = true;
            }
        }

        #endregion
        #region 사각형 그리기 라디오 버튼 체크 변경시 처리하기 - drawRectangleRadioButton_CheckedChanged(sender, e)

        /// <summary>
        /// 사각형 그리기 라디오 버튼 체크 변경시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void drawRectangleRadioButton_CheckedChanged(object sender, EventArgs e)
        {
            if(this.drawRectangleRadioButton.Checked == true)
            {
                MouseHelper.DrawLine = false;
            }
        }

        #endregion
    }
}